%define	oname	FreeFileSync

%define __unzip	%{_bindir}/unzip -o

Name:		freefilesync
Version:	6.2
Release:	%mkrel 11
Summary:	A free file sync tool
Group:		File tools
License:	GPLv3
Url:		http://sourceforge.net/projects/freefilesync/
Source0:	http://downloads.sourceforge.net/%{name}/%{oname}_%{version}_Source.zip
Source1:	http://downloads.sourceforge.net/project/zenxml/zenXml_2.0.zip
Source2:	%{oname}.desktop
Source3:	%{oname}.png
BuildRequires:	imagemagick
BuildRequires:	gtkmm2.4-devel
BuildRequires:	wxgtk-devel
BuildRequires:	boost-devel

%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -q -c %{name}-%{version} -a 1
%autopatch -p1

sed -i 's_../wx+_wx+_' FreeFileSync/Source/ui/gui_generated.cpp
sed -i 's/CXXFLAGS[ \t].*-O3/CXXFLAGS = -std=c++11 %{optflags} -Wno-unused-local-typedefs -Wno-deprecated-declarations -Wno-literal-suffix /' FreeFileSync/Source/Makefile
sed -i 's/LINKFLAGS[ \t]*=/LINKFLAGS = %{ldflags}/' FreeFileSync/Source/Makefile

%build
%make_build -C \
	FreeFileSync/Source \
	BUILD="Launchpad"

%install
%make_install -C FreeFileSync/Source

install -Dm644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{oname}.desktop

rm -rf %{buildroot}%{_docdir}/%{oname}

# (daviddavid) Fix missing icons (mga#14750)
# icons
for png in 256x256 128x128 64x64 32x32 22x22 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png %{SOURCE3} %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%{_bindir}/%{oname}
%dir %{_datadir}/%{oname}
%{_datadir}/%{oname}/*
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 6.2-11.mga6
+ Revision: 1019876
- rebuild for wxgtk3.0 built with GTK2

* Sat Dec 26 2015 daviddavid <daviddavid> 6.2-10.mga6
+ Revision: 915175
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 6.2-9.mga6
+ Revision: 883700
- rebuild for new boost 1.59.0

* Fri Aug 14 2015 daviddavid <daviddavid> 6.2-8.mga6
+ Revision: 864766
- fix missing icon for desktop file (mga#14750)
- add BuildRequires on imagemagick

  + ycantin <ycantin>
    - rebuild for new wxgtk built with wxRE_ADVANCED

* Fri Jul 31 2015 daviddavid <daviddavid> 6.2-6.mga6
+ Revision: 859997
- rebuild for new boost-1.58.0

* Thu Jul 23 2015 philippem <philippem> 6.2-5.mga6
+ Revision: 856572
- fix rebuild for new wxgtk built with gtk3

  + daviddavid <daviddavid>
    - rebuild for new wxgtk built with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 6.2-4.mga5
+ Revision: 744369
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.2-3.mga5
+ Revision: 679336
- Mageia 5 Mass Rebuild

* Fri Feb 21 2014 wally <wally> 6.2-2.mga5
+ Revision: 595247
- drop P0 and handle setting build time flags with sed magic

* Fri Feb 21 2014 wally <wally> 6.2-1.mga5
+ Revision: 595240
- add build fixes from AUR
- bundle latest zenXml with sources and build with it
- clean .spec a bit

  + fwang <fwang>
    - new version  6.2

* Sat Oct 19 2013 umeabot <umeabot> 5.10-5.mga4
+ Revision: 529411
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 5.10-4.mga4
+ Revision: 451793
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 5.10-3.mga3
+ Revision: 409674
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 5.10-2.mga3
+ Revision: 350851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 5.10-1.mga3
+ Revision: 333044
- new version 5.10

* Thu Dec 20 2012 fwang <fwang> 5.9-2.mga3
+ Revision: 333034
- rebuild for new boost

* Mon Nov 05 2012 juancho <juancho> 5.9-1.mga3
+ Revision: 314485
- imported package freefilesync


* Mon Nov 05 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.9-3.bdk.mga2
- new version 5.9

* Mon Jun 04 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.4-1.bdk.mga2
- new version 5.4

* Sun May 27 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.3-1.bdk.mga2
- Packaged to Mageia 2 (Blogdrake Repository)

* Tue Feb 28 2012 Andrey Bondrov <abondrov@mandriva.org> 5.0-1mdv2012.0
+ Revision: 781312
- imported package freefilesync

* Tue Feb 03 2012 Joaquín Moreno <joaquinmandriva@gmail.com> 5.0-6.bdk.mga
- new version 5.0

* Mon Nov 28 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.5-5.bdk.mga
- new version 4.5

* Mon Oct 10 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.1-4.bdk.mga
- new version 4.1

* Mon Sep 26 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 4.0-3.bdk.mga
- new version 4.0

* Wed Sep 21 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 3.21-2.bdk.mga
- new version 3.21

* Fri Jul 15 2011 Joaquín Moreno <joaquinmandriva@gmail.com> 3.11-1.bdk.mga
- Packaged to Mageia (Blogdrake Repository)

